Name:           open-vmdk
Version:        0.3.6
Release:        1%{?dist}
Summary:        Tools to create OVA files from raw disk images
License:        Apache-2.0
URL:            https://github.com/vmware/open-vmdk
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  zlib-devel
Requires:       coreutils
Requires:       grep
Requires:       python3-PyYAML
Requires:       python3-lxml
Requires:       sed
Requires:       tar
Requires:       util-linux

%description
Open VMDK is an assistant tool for creating Open Virtual Appliance (OVA).
An OVA is a tar archive file with Open Virtualization Format (OVF) files
inside, which is composed of an OVF descriptor with extension .ovf,
one or more virtual machine disk image files with extension .vmdk,
and a manifest file with extension .mf.

%prep
%autosetup -p1

%build
%{!?_auto_set_build_flags:%{set_build_flags}}
%make_build

%install
%make_install

mv %{buildroot}%{_bindir}/mkova.sh %{buildroot}%{_bindir}/mkova

install -m0644 templates/*.ovf %{buildroot}%{_datadir}/%{name}

%files
%{_bindir}/mkova
%{_bindir}/ova-compose
%{_bindir}/vmdk-convert
%{_datadir}/%{name}/
%config %{_sysconfdir}/open-vmdk.conf

%changelog
* Tue Nov 28 2023 Ismail Doenmez <ismail@i10z.com> - 0.3.6-1
- Initial build for 0.3.6
